package com.ruoyi.base.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 问答相似问对象 robot_ops_faq_similar
 * 
 * @author ruoyi
 * @date 2026-05-07
 */
public class RobotOpsFaqSimilar extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 问答ID，关联robot_ops_faq.id */
    @Excel(name = "问答ID，关联robot_ops_faq.id")
    private Long faqId;

    /** 相似问文本 */
    @Excel(name = "相似问文本")
    private String similarQuestion;

    /** 排序号，数字越小越靠前 */
    @Excel(name = "排序号，数字越小越靠前")
    private Long sortNo;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setFaqId(Long faqId) 
    {
        this.faqId = faqId;
    }

    public Long getFaqId() 
    {
        return faqId;
    }
    public void setSimilarQuestion(String similarQuestion) 
    {
        this.similarQuestion = similarQuestion;
    }

    public String getSimilarQuestion() 
    {
        return similarQuestion;
    }
    public void setSortNo(Long sortNo) 
    {
        this.sortNo = sortNo;
    }

    public Long getSortNo() 
    {
        return sortNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("faqId", getFaqId())
            .append("similarQuestion", getSimilarQuestion())
            .append("sortNo", getSortNo())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
